> For the complete documentation index, see [llms.txt](https://docs.luckydesigner.space/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luckydesigner.space/wechat/api/bei-jing.md).

# 背景

## wx.setBackgroundTextStyle

> 基础库 2.1.0 开始支持，低版本需做兼容处理。

动态设置下拉背景字体、loading 图的样式

### 参数 <a href="#can-shu" id="can-shu"></a>

#### Object object <a href="#object-object" id="object-object"></a>

| 属性        | 类型       | 默认值 | 必填 | 说明                       |
| --------- | -------- | --- | -- | ------------------------ |
| textStyle | string   |     | 是  | 下拉背景字体、loading 图的样式。     |
| success   | function |     | 否  | 接口调用成功的回调函数              |
| fail      | function |     | 否  | 接口调用失败的回调函数              |
| complete  | function |     | 否  | 接口调用结束的回调函数（调用成功、失败都会执行） |

**object.textStyle 的合法值**

| 值     | 说明       | 最低版本 |
| ----- | -------- | ---- |
| dark  | dark 样式  |      |
| light | light 样式 |      |

### 示例代码 <a href="#shi-li-dai-ma" id="shi-li-dai-ma"></a>

```
wx.setBackgroundTextStyle({
  textStyle: 'dark' // 下拉背景字体、loading 图的样式为dark
})
```

## wx.setBackgroundColor <a href="#wx-setbackgroundcolor-object-object" id="wx-setbackgroundcolor-object-object"></a>

> 基础库 2.1.0 开始支持，低版本需做兼容处理。

动态设置窗口的背景色

### 参数 <a href="#can-shu" id="can-shu"></a>

#### Object object <a href="#object-object" id="object-object"></a>

| 属性                    | 类型       | 默认值 | 必填 | 说明                           |
| --------------------- | -------- | --- | -- | ---------------------------- |
| backgroundColor       | string   |     | 否  | 窗口的背景色，必须为十六进制颜色值            |
| backgroundColorTop    | string   |     | 否  | 顶部窗口的背景色，必须为十六进制颜色值，仅 iOS 支持 |
| backgroundColorBottom | string   |     | 否  | 底部窗口的背景色，必须为十六进制颜色值，仅 iOS 支持 |
| success               | function |     | 否  | 接口调用成功的回调函数                  |
| fail                  | function |     | 否  | 接口调用失败的回调函数                  |
| complete              | function |     | 否  | 接口调用结束的回调函数（调用成功、失败都会执行）     |

### 示例代码 <a href="#shi-li-dai-ma" id="shi-li-dai-ma"></a>

```
wx.setBackgroundColor({
  backgroundColor: '#ffffff', // 窗口的背景色为白色
})

wx.setBackgroundColor({
  backgroundColorTop: '#ffffff', // 顶部窗口的背景色为白色
  backgroundColorBottom: '#ffffff', // 底部窗口的背景色为白色
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luckydesigner.space/wechat/api/bei-jing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
